{
  "$schema" : "http://json-schema.org/draft-07/schema#",
  "title" : "Simple Global Application Config",
  "type" : "object",
  "additionalProperties" : true,
  "properties" : {
    "prometheus" : {
      "$ref" : "#/definitions/SimplePrometheusConfiguration",
      "description" : "Configuration for the Prometheus server"
    },
    "jmx" : {
      "type" : "boolean",
      "default" : false,
      "description" : "A boolean flag to specify whether JMX metrics should be enabled"
    }
  },
  "definitions" : {
    "SimplePrometheusConfiguration" : {
      "type" : "object",
      "additionalProperties" : true,
      "properties" : {
        "port" : {
          "type" : "integer",
          "default" : 8085,
          "description" : "Port to expose for the Prometheus server"
        },
        "path" : {
          "type" : "string",
          "default" : "/prometheus",
          "description" : "Path to access Prometheus metrics endpoint"
        }
      }
    }
  }
}